package models

type AppNodeInfoRep struct {
	NodeID           string      `json:"nodeID"`
	ExternalIp       string      `json:"externalIp"`
	StunIp           []string    `json:"stunIp"`
	TurnInfo         []*TurnInfo `json:"turnInfo"`
	SignallingHttpIp string      `json:"signallingHttpIp"`
	SignallingWsIp   string      `json:"signallingWsIp"`
}

type SignallingConnectStatusRep struct {
	Status string `json:"status"`
}

type AppNodeResponse struct {
	Code int    `json:"code"`
	Msg  string `json:"msg"`
}

type SignallingConnectStatus struct {
	Code   int  `json:"code"`
	Status bool `json:"status"`
}
